<?php

namespace Drupal\http_client_log;

use Drupal\Core\Http\ClientFactory;
use GuzzleHttp\HandlerStack;
use Drupal\http_client_log\Logger\Logger;
use GuzzleLogMiddleware\LogMiddleware;
use GuzzleLogMiddleware\Handler\HandlerInterface;
use Psr\Log\LoggerInterface;
use Psr\Http\Message\RequestInterface;
use Psr\Http\Message\ResponseInterface;
use GuzzleHttp\TransferStats;

class HttpClientServiceLog extends ClientFactory {
  /**
   * @inerhitDoc
   */
  public function __construct(HandlerStack $stack) {
    /**
     * @inerhitDoc
     */
    parent::__construct($stack);
    $logger = new Logger();
    $this->stack->push(new LogMiddleware($logger, new SimpleHandler()));
  }
}

/** A simple handler that logs only requests and response */
final class SimpleHandler implements HandlerInterface {
  /**
   * @inerhitDoc
   */
  public function log(
    LoggerInterface    $logger,
    RequestInterface   $request,
    ?ResponseInterface $response = NULL,
    ?\Throwable        $exception = NULL,
    ?TransferStats     $stats = NULL,
    array              $options = []
  ): void {
    $context['request'] = $request;
    $context['response'] = $response;
    $context['options'] = $options;
    $logger->log(null, null, $context);
  }
}
